# SourcePath: xz/20170127dev
Summary: LZMA compression utilities
Name: sony-target-dev-xz
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-xz
Version: 5.2.1
Release: 12010001
License: LGPLv2.1 / GPLv2 / Public Domain
URL: http://tukaani.org/xz
Source: xz-%{version}.tar.bz2
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

%package -n %{pkgname}
Summary: LZMA compression utilities
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

%prep
%setup -q -n xz-%{version}

%build
%sony_target_dev_setup
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
%sony_target_dev_configure --disable-static
make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/doc
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

%demangle_libtool

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root -)
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzcat
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzcmp
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzdiff
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzegrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzfgrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzgrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzless
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzma
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzmadec
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzmainfo
%{sony_target_dir}%{sony_target_dev_bin_dir}/lzmore
%{sony_target_dir}%{sony_target_dev_bin_dir}/unlzma
%{sony_target_dir}%{sony_target_dev_bin_dir}/unxz
%{sony_target_dir}%{sony_target_dev_bin_dir}/xz
%{sony_target_dir}%{sony_target_dev_bin_dir}/xzcat
%{sony_target_dir}%{sony_target_dev_bin_dir}/xzcmp
%{sony_target_dir}%{sony_target_dev_bin_dir}/xzdec
%{sony_target_dir}%{sony_target_dev_bin_dir}/xzdiff
%{sony_target_dir}%{sony_target_dev_bin_dir}/xzegrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/xzfgrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/xzgrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/xzless
%{sony_target_dir}%{sony_target_dev_bin_dir}/xzmore
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/liblzma.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/liblzma.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/liblzma.so.5
%{sony_target_dir}%{sony_target_dev_lib_dir}/liblzma.so.5.2.1
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/liblzma.pc

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Mon Dec 25 2019 Sony Corporation 
- Updated License to LGPLv2.1 / GPLv2 / Public Domain
 
* Fri Jan 27 2017 Sony Corporation 
- Version update to 5.2.1 

* Tue Apr 02 2013 Sony Corporation 
- Version update to 5.0.4 

* Thu Dec 22 2011 Sony Corporation 
- Version update to 5.0.3 

* Fri Feb 25 2011 Sony Corporation
- Initial build
